Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.imgseq
Class ImageSequenceTrack

    java.lang.Object
      org.monte.media.imgseq.ImageSequenceTrack

All Implemented Interfaces:
  Track

    public class ImageSequenceTrack

extends java.lang.Object
implements Track

`ImageSequenceTrack`.

Version:
  1.0 2011-02-20 Created.
Author:
  Werner Randelshofer

Constructor Summary
`ImageSequenceTrack(java.io.File[] files)`
`ImageSequenceTrack(java.io.File dir, java.io.FileFilter filter)`

Method Summary
`long` | `getFileDuration()`
`long` | `getPosition()` Gets the read position.
`long` | `getSampleCount()` Returns the numbers of samples in this track.
`long` | `getTimeScale()`
`void` | `read(Buffer buf)` Reads a sample from the input stream.
`void` | `setFileDuration(long newValue)`
`void` | `setPosition(long pos)` Sets the read position.
`void` | `setTimeScale(long newValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageSequenceTrack

    public ImageSequenceTrack(java.io.File dir,
                              java.io.FileFilter filter)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

### ImageSequenceTrack

    public ImageSequenceTrack(java.io.File[] files)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getFileDuration

    public long getFileDuration()

### setFileDuration

    public void setFileDuration(long newValue)

### getTimeScale

    public long getTimeScale()

### setTimeScale

    public void setTimeScale(long newValue)

### getSampleCount

    public long getSampleCount()

  Description copied from interface: `Track`
  Returns the numbers of samples in this track.

  Specified by:
    `getSampleCount` in interface `Track`

### setPosition

    public void setPosition(long pos)

  Description copied from interface: `Track`
  Sets the read position.

  Specified by:
    `setPosition` in interface `Track`

### getPosition

    public long getPosition()

  Description copied from interface: `Track`
  Gets the read position.

  Specified by:
    `getPosition` in interface `Track`

### read

    public void read(Buffer buf)
              throws java.io.IOException

  Description copied from interface: `Track`
  Reads a sample from the input stream. If the end of the track is reached, the discard-flag in the buffer is set to true.

  Specified by:
    `read` in interface `Track`
  Parameters:
    `buf` - The buffer for the sample.
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD